﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Seminar02
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void textBoxInput_TextChanged(object sender, TextChangedEventArgs e)
        {
            string s = textBoxInput.Text;
            int input = 0;
            int result = 0;
            char op = ' ';
            for (int i = 0; i < s.Length; i++)
            {
                switch (s[i])
                {
                    case '+':
                    case '-':


                    case '*':
                    case '/':
                        switch (op)
                        {
                            case '+':
                                result += input;
                                break;
                            case '-':
                                result -= input;
                                break;
                            case '*':
                                result *= input;
                                break;
                            case '/':
                                if (input == 0)
                                {
                                    labelOutput.Content = "Teilung durch null";
                                    return;
                                }
                                result /= input;
                                break;
                            default:
                                result = input;
                                break;
                        }
                        input = 0;
                        op = s[i];
                        break;
                    case '0':
                    case '1':
                    case '2':
                    case '3':
                    case '4':
                    case '5':
                    case '6':
                    case '7':
                    case '8':
                    case '9':
                        input = 10 * input + s[i] - '0';
                        break;
                    default:
                        labelOutput.Content = "Fehler";
                        return;
                }
            }

            switch (op)
            {
                case '+':
                    result += input;
                    break;
                case '-':
                    result -= input;
                    break;
                case '*':
                    result *= input;
                    break;
                case '/':
                    if (input == 0)
                    {
                        labelOutput.Content = "Teilung durch null";
                        return;
                    }
                    result /= input;
                    break;
                default:
                    result = input;
                    break;
            }
            labelOutput.Content = result.ToString();
        }
    }
}
